/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


/**
 *
 * @author joaop
 */
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPanel;
public class ImunizedFormularyPanel extends javax.swing.JPanel {

    /**
     * Creates new form ImunizedFormularyPanel
     */
    public ImunizedFormularyPanel() {
        initComponents();
        allFields = java.util.Arrays.asList(tFId, tFFullName, tFCity, tFDateOfVaccination);
    }
    
    private java.util.List<javax.swing.JComponent> allFields;
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        lBPatientform = new javax.swing.JLabel();
        lBId = new javax.swing.JLabel();
        lBFullName = new javax.swing.JLabel();
        lBCity = new javax.swing.JLabel();
        lbDateOfVaccination = new javax.swing.JLabel();
        tFId = new javax.swing.JTextField();
        tFFullName = new javax.swing.JTextField();
        tFCity = new javax.swing.JTextField();
        tFDateOfVaccination = new javax.swing.JTextField();

        lBPatientform.setText("Patient Form");

        lBId.setText("Id :");

        lBFullName.setText("Full name :");

        lBCity.setText("City :");

        lbDateOfVaccination.setText("Date of Vaccination :");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lBId)
                    .addComponent(lBFullName)
                    .addComponent(lBCity)
                    .addComponent(lbDateOfVaccination))
                .addGap(51, 51, 51)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(lBPatientform)
                    .addComponent(tFId, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(tFFullName, javax.swing.GroupLayout.DEFAULT_SIZE, 160, Short.MAX_VALUE)
                    .addComponent(tFCity)
                    .addComponent(tFDateOfVaccination, javax.swing.GroupLayout.PREFERRED_SIZE, 67, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(77, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(lBPatientform)
                        .addGap(46, 46, 46)
                        .addComponent(lBId))
                    .addComponent(tFId, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lBFullName)
                    .addComponent(tFFullName, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lBCity)
                    .addComponent(tFCity, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(lbDateOfVaccination)
                    .addComponent(tFDateOfVaccination, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(0, 148, Short.MAX_VALUE))
        );
    }// </editor-fold>                        


    // Variables declaration - do not modify                     
    private javax.swing.JLabel lBCity;
    private javax.swing.JLabel lBFullName;
    private javax.swing.JLabel lBId;
    private javax.swing.JLabel lBPatientform;
    private javax.swing.JLabel lbDateOfVaccination;
    private javax.swing.JTextField tFCity;
    private javax.swing.JTextField tFDateOfVaccination;
    private javax.swing.JTextField tFFullName;
    private javax.swing.JTextField tFId;
    // End of variables declaration                   

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie lBCity*/
    public JLabel getLBCity(){
        return this.lBCity;
    }//end method getLBCity

    /**SET Method Propertie lBCity*/
    public void setLBCity(JLabel lBCity){
        this.lBCity = lBCity;
    }//end method setLBCity

    /**GET Method Propertie lBFullName*/
    public JLabel getLBFullName(){
        return this.lBFullName;
    }//end method getLBFullName

    /**SET Method Propertie lBFullName*/
    public void setLBFullName(JLabel lBFullName){
        this.lBFullName = lBFullName;
    }//end method setLBFullName

    /**GET Method Propertie lBId*/
    public JLabel getLBId(){
        return this.lBId;
    }//end method getLBId

    /**SET Method Propertie lBId*/
    public void setLBId(JLabel lBId){
        this.lBId = lBId;
    }//end method setLBId

    /**GET Method Propertie lBPatientform*/
    public JLabel getLBPatientform(){
        return this.lBPatientform;
    }//end method getLBPatientform

    /**SET Method Propertie lBPatientform*/
    public void setLBPatientform(JLabel lBPatientform){
        this.lBPatientform = lBPatientform;
    }//end method setLBPatientform

    /**GET Method Propertie lbDateOfVaccination*/
    public JLabel getLbDateOfVaccination(){
        return this.lbDateOfVaccination;
    }//end method getLbDateOfVaccination

    /**SET Method Propertie lbDateOfVaccination*/
    public void setLbDateOfVaccination(JLabel lbDateOfVaccination){
        this.lbDateOfVaccination = lbDateOfVaccination;
    }//end method setLbDateOfVaccination

    /**GET Method Propertie tFCity*/
    public JTextField getTFCity(){
        return this.tFCity;
    }//end method getTFCity

    /**SET Method Propertie tFCity*/
    public void setTFCity(JTextField tFCity){
        this.tFCity = tFCity;
    }//end method setTFCity

    /**GET Method Propertie tFDateOfVaccination*/
    public JTextField getTFDateOfVaccination(){
        return this.tFDateOfVaccination;
    }//end method getTFDateOfVaccination

    /**SET Method Propertie tFDateOfVaccination*/
    public void setTFDateOfVaccination(JTextField tFDateOfVaccination){
        this.tFDateOfVaccination = tFDateOfVaccination;
    }//end method setTFDateOfVaccination

    /**GET Method Propertie tFFullName*/
    public JTextField getTFFullName(){
        return this.tFFullName;
    }//end method getTFFullName

    /**SET Method Propertie tFFullName*/
    public void setTFFullName(JTextField tFFullName){
        this.tFFullName = tFFullName;
    }//end method setTFFullName

    /**GET Method Propertie tFId*/
    public JTextField getTFId(){
        return this.tFId;
    }//end method getTFId

    /**SET Method Propertie tFId*/
    public void setTFId(JTextField tFId){
        this.tFId = tFId;
    }//end method setTFId

    //End GetterSetterExtension Source Code
//!

    //Start GetterSetterExtension Source Code
    /**GET Method Propertie allFields*/
    public java.util.List<javax.swing.JComponent> getAllFields(){
        return this.allFields;
    }//end method getAllFields

    /**SET Method Propertie allFields*/
    public void setAllFields(java.util.List<javax.swing.JComponent> allFields){
        this.allFields = allFields;
    }//end method setAllFields

    //End GetterSetterExtension Source Code
//!
}